Bug 52923

Summary: New port: f-prot - the F-Prot virus scanner for FreeBSD
Product: Ports & Packages Reporter: Tim Bishop <tdb>
Component: Individual Port(s)Assignee: freebsd-ports-bugs mailing list <ports-bugs>
Status: Closed FIXED    
Severity: Affects Only Me CC: tdb
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
f-prot-4.0.0.sh none

Description Tim Bishop freebsd_committer 2003-06-04 11:00:25 UTC
	Port of the workstation version of F-Prot.

Fix: Below is a shar file of the port.

	Please note that the port installs to PREFIX/f-prot/ because
	the f-prot binary expects it's definition files to be in
	the same directory as it (I think). There's a script to run
	f-prot which I've install in to PREFIX/bin, and the man
	page is installed in the usual place.

	Could the committer also add the following to the ports/LEGAL file:

	fp-freebsd-ws-*	ports/security/f-prot	free for personal use only
Comment 1 Tim Bishop freebsd_committer 2003-08-20 23:03:34 UTC
Please find below a diff to update the f-prot port in ports/52923
to the latest version. It's only a minor change, so seemed easier
just to send a diff rather than the whole port.

Cheers,
Tim.

diff -ruN f-prot.bak/Makefile f-prot/Makefile
--- f-prot.bak/Makefile	Wed Aug 20 22:53:44 2003
+++ f-prot/Makefile	Wed Aug 20 22:56:43 2003
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	f-prot
-PORTVERSION=	4.0.0
+PORTVERSION=	4.1.1
 CATEGORIES=	security
 MASTER_SITES=	ftp://ftp.f-prot.com/pub/bsd/
 DISTNAME=	fp-freebsd-ws-${PORTVERSION}
diff -ruN f-prot.bak/distinfo f-prot/distinfo
--- f-prot.bak/distinfo	Wed Aug 20 22:53:44 2003
+++ f-prot/distinfo	Wed Aug 20 22:57:23 2003
@@ -1 +1 @@
-MD5 (fp-freebsd-ws-4.0.0.tar.gz) = fc9b0ae5ad72549326c68a6ee90783f7
+MD5 (fp-freebsd-ws-4.1.1.tar.gz) = 11254458f8bdb8f086e1189e0171e694
diff -ruN f-prot.bak/pkg-plist f-prot/pkg-plist
--- f-prot.bak/pkg-plist	Wed Aug 20 22:53:44 2003
+++ f-prot/pkg-plist	Wed Aug 20 22:59:11 2003
@@ -22,11 +22,12 @@
 f-prot/doc_ws/per_scan.html
 f-prot/doc_ws/reporting_options.html
 f-prot/doc_ws/scanning_options.html
-f-prot/doc_ws/sched_scan.html
 f-prot/doc_ws/screenshot.jpg
 f-prot/doc_ws/sys_req.html
 f-prot/doc_ws/test_eicar.html
 f-prot/doc_ws/test_inst.html
+f-prot/doc_ws/updater.html
+f-prot/doc_ws/updater_req.html
 f-prot/doc_ws/updt_macro.gif
 f-prot/doc_ws/updt_sign.gif
 f-prot/doc_ws/updt_signature.gif
Comment 2 Tim Bishop freebsd_committer 2003-10-18 20:42:34 UTC
Another update to this New port. Again, a minor change, so just a
patch against the previous version.

To clarify, extract the shar, install the first patch, then the
second patch.

Cheers,
Tim.

diff -ruN f-prot.bak/Makefile f-prot/Makefile
--- f-prot.bak/Makefile	Sat Oct 18 20:34:39 2003
+++ f-prot/Makefile	Sat Oct 18 20:35:49 2003
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	f-prot
-PORTVERSION=	4.1.1
+PORTVERSION=	4.2.0
 CATEGORIES=	security
 MASTER_SITES=	ftp://ftp.f-prot.com/pub/bsd/
 DISTNAME=	fp-freebsd-ws-${PORTVERSION}
diff -ruN f-prot.bak/distinfo f-prot/distinfo
--- f-prot.bak/distinfo	Sat Oct 18 20:34:39 2003
+++ f-prot/distinfo	Sat Oct 18 20:36:16 2003
@@ -1 +1 @@
-MD5 (fp-freebsd-ws-4.1.1.tar.gz) = 11254458f8bdb8f086e1189e0171e694
+MD5 (fp-freebsd-ws-4.2.0.tar.gz) = e775217b9d1eba2b9f0faeed6fd4e33f
diff -ruN f-prot.bak/pkg-plist f-prot/pkg-plist
--- f-prot.bak/pkg-plist	Sat Oct 18 20:34:39 2003
+++ f-prot/pkg-plist	Sat Oct 18 20:36:46 2003
@@ -2,7 +2,7 @@
 f-prot/CHANGES
 f-prot/ENGLISH.TX0
 f-prot/INSTALL.bsd_ws
-f-prot/LICENSE.bsd_ws
+f-prot/LICENSE
 f-prot/MACRO.DEF
 f-prot/README
 f-prot/SIGN.DEF
Comment 3 Foxfair Hu freebsd_committer 2003-10-22 04:15:14 UTC
State Changed
From-To: open->closed

Port imported, thanks!